[debian] [asterisk] compile erreur : termcap

Résolu/Fermé
Utilisateur anonyme - 28 juil. 2007 à 14:15
 smaili - 8 juil. 2011 à 12:49
Bonjour,

J'essaie d'installer asterisk 1.4 sur debian etch.
J'ai passe les commandes suivantes:

tar xvzf zaptel-1.4-current.tar.gz
cd zaptel-1.4.4
make install

tar xvzf libpri-1.4-current.tar.gz
cd libpri-1.4.1
make install

tar xvzf asterisk-1.4-current.tar.gz
cd asterisk-1.4.9
./configure

Je suis bloque sur le ./configure avec le message d'erreur suivant:
configure: error: *** termcap support not found

Mais "aptitude install termcap" me donne le resultat suivant:
Couldn't find any package matching "termcap". However, the following
packages contain "termcap" in their description:
qemacs-nox cmucl-source qemacs joe ircii yard less

Une idee?

Merci

34 réponses

lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 567
28 juil. 2007 à 14:17
Salut,
apt-get install libncurses5-dev
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 567
5 févr. 2008 à 19:19
Salut,

affiche
yum list | grep ncurses
bob031 Messages postés 8158 Date d'inscription samedi 7 août 2004 Statut Membre Dernière intervention 1 septembre 2014 472
5 févr. 2008 à 19:34
salut,

voilà pour moi :

[root@localhost redfox]# yum list | grep ncurses
ncurses.i386 5.6-12.20070812.fc8 installed
ncurses-devel.i386 5.6-12.20070812.fc8 installed
ncurses-static.i386 5.6-12.20070812.fc8 fedora
php-ncurses.i386 5.2.4-3 fedora
ruby-ncurses.i386 1.1-5.fc8 fedora
[root@localhost redfox]#

:-))


ps : tiens ! c'est drôle ça : https://forums.fedora-fr.org/viewtopic.php?pid=236314
0
kakashi05 Messages postés 186 Date d'inscription jeudi 28 juin 2007 Statut Membre Dernière intervention 12 août 2011 32
22 nov. 2008 à 21:17
la commande ne marche pas j'ai
bash: urpmi: command not found
Alors installe urpmi !
0
pour resoudre tous ces problemes connecter vous a internet a partir centos ou debian taper la commande :
yum install bison bison-devel ncurses ncurses-devel zlib zlib-devel openssl openssl-devel gnutls-devel gcc gcc-c++ make
0
Utilisateur anonyme
28 juil. 2007 à 14:21
Trop fort lami20j!

Probleme resolu, le serveur est pret a l'utilisation.

Un grand merci pour ton aide.

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
Bonjour à tous,

J'ai la même question, même messages d'erreur mais sous fedora core 6.

Merci
Merci pour ces réponses,

n'auriez vous une petite aide pour modifier un fichier sip.conf d'asterisk 1.4.17 car j'avoue être totalement perdu pourtant j'ai déjà fait ça pour un dhcp mais la je veux créer un hôte et je dois avouer que c'est assez déroutant.

merci
Slt a ts!
jai le mm pb sous debian etch 4.0
j'ai éssayé apt-get install libncurses5-dev mais il affiche:
E: Impossible de verrouiller /var/lib/dpkg/lock - open (11 Ressource temporairement non disponible)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

Et j'avoue ke jne sai + tro koi fair.
Est ce ke kelk1 pouraait m'aider svp jai un rapport à rendr pr ce lundi et ça fait un bn bout de tps ke chui bloké à ce niveau.
merci
sudo apt-get install libncurses5-dev
ou
kill synaptic ou autres process
Merci pour Youplaboum
mais kan je met sudo apt-get install libncurses5-dev

E: Impossible de trouver le paquet libncurses5-dev


il ne trouve pa le paquet. je suis sur debian etch 4.0
cat /etc/apt/sources.list
je met just /etc/apt/sources.list?
que dois je fair plus précisement?
voici la syntaxe affichée kan jtap cette commande:


#
# deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 CD Binary-1 20080217-11:50]/ etch contrib main

deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 CD Binary-1 20080217-11:50]/ etch contrib main

# Line commented out by installer because it failed to verify:
#deb https://www.debian.org/security/ etch/updates main contrib
# Line commented out by installer because it failed to verify:
#deb-src https://www.debian.org/security/ etch/updates main contrib


dois je éditer ce fichier?
tu rajoutes sa dedans

deb http://ftp.fr.debian.org/debian/ etch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ etch main contrib non-free

deb https://www.debian.org/security/ etch/updates main contrib non-free
deb-src https://www.debian.org/security/ etch/updates main contrib non-free


et tu commentes celle ci ( en rajoutant un # devant )
deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 CD Binary-1 20080217-11:50]/ etch contrib main

apres tu fais un
sudo apt-get update
sudo apt-get upgrade

sudo apt-get install libncurses5-dev
Merci énormement!!!
ça m'a pris un peu de tps mais l'installation s'est bien passée! On dit kil ne fo pa creer victoir trop tot mai en tout cas jte suis tres reconnaissant. le plus dure est fait !!
merci encore
khalilbo Messages postés 28 Date d'inscription jeudi 27 décembre 2007 Statut Membre Dernière intervention 3 mai 2016
15 juil. 2008 à 19:14
Bonjour ,
cela fait un bon moment que j'essais d'installer dedian etch sous une machine fujitsu-siemensESPRIMON P2510 mais le systeme ne peut pas s'installer car il dit n'a pas les modules pour le lecteur DVD sata. si quelqu'un peut me donner un cou de main merci!!!
kakashi05 Messages postés 186 Date d'inscription jeudi 28 juin 2007 Statut Membre Dernière intervention 12 août 2011 32
22 nov. 2008 à 20:07
salut j'ai le meme probleme et je suis sur Mandriva j'ai le message d'erreur suivant malger l'installation des paquets

Je suis bloque sur le ./configure avec le message d'erreur suivant:
configure: error: *** termcap support not found

donc apres quelque recherche certain on pu resoudre leur probleme avec libncurses5 ou ncurses

bon lorsque je fait urpmi libncurses5 il me dit paquet deja installer

[root@localhost asterisk-1.4.22]# urpmi libncurses5
Le paquetage libncurses5-5.6-1.20080823.1mdv2009.0.i586 est déjà installé

puis lorsque je fait urpmi ncurses il me dit paquet deja installer

[root@localhost asterisk-1.4.22]# urpmi ncurses
Le paquetage ncurses-5.6-1.20080823.1mdv2009.0.i586 est déjà installé

Donc aucun changement et j'ai toujours le meme message d'erreur

configure: error: *** termcap support not found

Si quelqu'un peut m'aider ou une idee parce que ça commence est difficile pour moi.
Merci
bob031 Messages postés 8158 Date d'inscription samedi 7 août 2004 Statut Membre Dernière intervention 1 septembre 2014 472
22 nov. 2008 à 20:13
salut,

le post<1> de lami20j parle d'installer "libncurses5-dev". Est-il installé chez toi ?
0
kakashi05 Messages postés 186 Date d'inscription jeudi 28 juin 2007 Statut Membre Dernière intervention 12 août 2011 32
22 nov. 2008 à 20:26
oui il est installer chez moi
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 567
22 nov. 2008 à 20:31
Salut,

Affiche le résultat de
rpm -qa ncurses | grep dev
bob031 Messages postés 8158 Date d'inscription samedi 7 août 2004 Statut Membre Dernière intervention 1 septembre 2014 472
22 nov. 2008 à 21:27
salut,

il n'y a pas un petit souci là :

root@mandriva kernel]# rpm -qa ncurses | grep dev
[root@mandriva kernel]# rpm -qa | grep ncurses | grep dev
libncurses-devel-5.6-1.20071222.1mdv2008.1
[root@mandriva kernel]#
0
kakashi05 Messages postés 186 Date d'inscription jeudi 28 juin 2007 Statut Membre Dernière intervention 12 août 2011 32
22 nov. 2008 à 21:09
Bon j'ai aucun message et lorsque je fais de nouveau ./configure j'ai toujours le meme message d'erreur
configure: error: *** termcap support not found
lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 567
22 nov. 2008 à 21:14
Re,

Bon j'ai aucun message
Alors il n'est pas installé
urpmi libncurses5-dev


lami20j Messages postés 21331 Date d'inscription jeudi 4 novembre 2004 Statut Modérateur, Contributeur sécurité Dernière intervention 30 octobre 2019 3 567
22 nov. 2008 à 21:40
Re,

la commande il faut la faire en root
et c'est libncurses-devel (merci bob031 ;-)
[root@localhost asterisk-1.4.22]# urpmi libncurses-devel